orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_put_get.c File Reference.TH "orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_put_get.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/base/pack_api_cmd/gpr_base_pack_put_get.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'orte/include/orte_types.h'\fP
.br
\fC#include 'orte/dps/dps.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/base/base.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_base_pack_put\fP (\fBorte_buffer_t\fP *cmd, size_t cnt, \fBorte_gpr_value_t\fP **values)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_get\fP (\fBorte_buffer_t\fP *cmd, orte_gpr_addr_mode_t mode, char *segment, char **tokens, char **keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_pack_get_conditional\fP (\fBorte_buffer_t\fP *cmd, orte_gpr_addr_mode_t mode, char *segment, char **tokens, char **keys, size_t num_conditions, orte_gpr_keyval_t **conditions)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
